🚀 Welcome to our revamped documentation featuring dedicated Business Logic and API sections with improved layouts—please remember to update your bookmarks as old links will no longer work!
curl --request PUT \
--url 'https://{{baseUrl}}/amlyze-ws-rest/account-balance' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "COM217",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
}
'{
"resultType": "REQUEST_ACCEPTED"
}This section provides detailed information on the endpoints that can be used to create and manage account balances.
curl --request PUT \
--url 'https://{{baseUrl}}/amlyze-ws-rest/account-balance' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "COM217",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
}
'{
"resultType": "REQUEST_ACCEPTED"
}Documentation Index
Fetch the complete documentation index at: https://api.amlyze.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Account balance to register
External account identification number used to track activity regarding the specific account.
Balance datetime.
Unique number of communication. It is used for risk assessment callback.
Name of the system requesting web service.
100Balance value.
Type of account balance.
Mandatory field for clients utilizing a multi-organizational solution. It serves to specify the unique identifier for the business unit. Business units are logical groupings of users and data. Each business unit can have its own set of users, permissions, and data access rules.
Equivalent balance value.
OK
REQUEST_ACCEPTED